import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars

######################################################################
######################################################################
###		   PRIMERA PUERTA DE ACCESO AL TEMPLO	    	   ###
######################################################################
######################################################################

### Sonidos primera puerta:

son_puerta1_abriendo=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav","MaderaDesliz")
son_puerta1_abriendo.MaxDistance=20000
son_puerta1_abriendo.MinDistance=1000
son_puerta1_abriendo.Volume=1.0

son_puerta1_cerrando=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav","MaderaCiera")
son_puerta1_cerrando.MaxDistance=20000
son_puerta1_cerrando.MinDistance=2000
son_puerta1_cerrando.Volume=1.0

### Se crea la puerta

p1=Doors.CreateDoor("p1",(-145.634106914,-6876.2087033,108761.382991),(0,1,0),10000,4000,Doors.CLOSED)

p1.opentype=Doors.UNIF
p1.o_med_vel=-700
p1.o_med_displ=3000

p1.closetype=Doors.AC
p1.c_init_displ=3000
p1.c_med_vel=8000

### Asignacion de los sonidos

p1.SetWhileOpenSound(son_puerta1_abriendo)
p1.SetEndOpenSound(son_puerta1_cerrando)

p1.SetWhileCloseSound(son_puerta1_abriendo)
p1.SetEndCloseSound(son_puerta1_cerrando)

### Creacion de la cerradura

cerr_puerta1=Locks.PlaceLock("cerr_puerta1","Cerradurpla",(7507.34986044,-7533.16239448,107495.493359),(0.499999880791,0.500000059605,0.5,-0.500000059605),1.1)
cerr_puerta1.key="llave_puerta1"

darfuncs.SetHint(cerr_puerta1.obj,"Carradura de Plata")

cerr_puerta1.OnUnLockFunc=AbrePuerta1
cerr_puerta1.OnUnLockArgs=()

cerr_puerta1.OnLockFunc=CierraPuerta1
cerr_puerta1.OnLockArgs=()

### Llave

llave_puerta1=Bladex.CreateEntity("llave_puerta1","Llavepla",-20266.7445749,-929.020089546,35053.8513056, Reference.ObjType("Llavepla"))
llave_puerta1.Scale=1.0
llave_puerta1.Orientation=(0.854048848152,0.0650137364864,-0.500248134136,-0.126986399293)

#darfuncs.SetHint(llave_puerta1.obj,"Llave de Plata")

Stars.Twinkle("llave_puerta1")

print "puerta 1 puesta"

####
#####
###### de salida del acantilao
#####
####

p2=Doors.CreateDoor("p2",(83785,-240,-75000),(0,1,0),0,3750,Doors.OPENED)

p2.opentype=Doors.UNIF
p2.o_med_vel=-700
p2.o_med_displ=3500

p2.closetype=Doors.AC
p2.c_init_displ=3750
p2.c_med_vel=8000

### Asignacion de los sonidos

p2.SetWhileOpenSound(son_puerta1_abriendo)
p2.SetEndOpenSound(son_puerta1_cerrando)

p2.SetWhileCloseSound(son_puerta1_abriendo)
p2.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 2 puesta"

####
#####
######	Puerta sobre el acantilado (falsa)
#####
####

p3=Doors.CreateDoor("p3",(49705,-8189,-66459),(0,1,0),0,3000,Doors.CLOSED)

p3.opentype=Doors.UNIF
p3.o_med_vel=-700
p3.o_med_displ=3000

p3.closetype=Doors.AC
p3.c_init_displ=3000
p3.c_med_vel=8000

### Asignacion de los sonidos

p3.SetWhileOpenSound(son_puerta1_abriendo)
p3.SetEndOpenSound(son_puerta1_cerrando)

p3.SetWhileCloseSound(son_puerta1_abriendo)
p3.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 3 puesta"

####
#####
######	Puerta de encerrona en gruta (trap) :D
#####
####

p4=Doors.CreateDoor("p4",(73627, -4883, -43108),(0,1,0),0,3000,Doors.OPENED)

p4.opentype=Doors.UNIF
p4.o_med_vel=-700
p4.o_med_displ=2990

p4.closetype=Doors.AC
p4.c_init_displ=3000
p4.c_med_vel=8000

### Asignacion de los sonidos

p4.SetWhileOpenSound(son_puerta1_abriendo)
p4.SetEndOpenSound(son_puerta1_cerrando)

p4.SetWhileCloseSound(son_puerta1_abriendo)
p4.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 4 puesta"

####
#####
######	Puerta de entrada a las escaleras del templo
#####
####

p5=Doors.CreateDoor("p5",(11.3464774698,-2190.04303691,-4615.39851497),(0,-1,0),0,6000,Doors.CLOSED)

p5.opentype=Doors.UNIF
p5.o_med_vel=-800
p5.o_med_displ=5990

p5.closetype=Doors.AC
p5.c_init_displ=6000
p5.c_med_vel=800

### Asignacion de los sonidos

p5.SetWhileOpenSound(son_puerta1_abriendo)
p5.SetEndOpenSound(son_puerta1_cerrando)

p5.SetWhileCloseSound(son_puerta1_abriendo)
p5.SetEndCloseSound(son_puerta1_cerrando)


print "puerta 5 puesta"

####
#####
######	Puerta de entrada al puente
#####
####



### Asignacion de los sonidos


print "puerta 6 saltada"

####
#####
######	Puerta de la cmara en el estanque
#####
####

p7=Doors.CreateDoor("p7",(259,-1196,96792),(0,1,0),0,2000,Doors.CLOSED)

p7.opentype=Doors.UNIF
p7.o_med_vel=-700
p7.o_med_displ=1990

p7.closetype=Doors.AC
p7.c_init_displ=2000
p7.c_med_vel=8000

### Asignacion de los sonidos

p7.SetWhileOpenSound(son_puerta1_abriendo)
p7.SetEndOpenSound(son_puerta1_cerrando)

p7.SetWhileCloseSound(son_puerta1_abriendo)
p7.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 7 puesta"

####
#####
######	Puerta a estancia del interior
#####
####

p8=Doors.CreateDoor("p8",(-19459,-8189,120988),(0,1,0),0,3000,Doors.OPENED)

p8.opentype=Doors.UNIF
p8.o_med_vel=-700
p8.o_med_displ=2990

p8.closetype=Doors.AC
p8.c_init_displ=3000
p8.c_med_vel=8000

### Asignacion de los sonidos

p8.SetWhileOpenSound(son_puerta1_abriendo)
p8.SetEndOpenSound(son_puerta1_cerrando)

p8.SetWhileCloseSound(son_puerta1_abriendo)
p8.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 8 puesta"

####
#####
######	Porton interior
#####
####



print "puerta 9 saltada"

####
#####
######	Puerta a la torre
#####
####

p10=Doors.CreateDoor("p10",(17723,-7988,153244),(0,1,0),0,3000,Doors.OPENED)

p10.opentype=Doors.UNIF
p10.o_med_vel=-700
p10.o_med_displ=2990

p10.closetype=Doors.AC
p10.c_init_displ=3000
p10.c_med_vel=8000

### Asignacion de los sonidos

p10.SetWhileOpenSound(son_puerta1_abriendo)
p10.SetEndOpenSound(son_puerta1_cerrando)

p10.SetWhileCloseSound(son_puerta1_abriendo)
p10.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 10 puesta"

####
#####
######	Puerta en la torre antes de llave (falsa)
#####
####

p11=Doors.CreateDoor("p11",(21006,-15187,144517),(0,1,0),0,2800,Doors.CLOSED)

p11.opentype=Doors.UNIF
p11.o_med_vel=-700
p11.o_med_displ=27990

p11.closetype=Doors.AC
p11.c_init_displ=2800
p11.c_med_vel=8000

### Asignacion de los sonidos

p11.SetWhileOpenSound(son_puerta1_abriendo)
p11.SetEndOpenSound(son_puerta1_cerrando)

p11.SetWhileCloseSound(son_puerta1_abriendo)
p11.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 11 puesta"

####
#####
######	Puerta a la "sacristia"
#####
####

p12=Doors.CreateDoor("p12",(-13550,-3988,168473),(0,1,0),0,5000,Doors.CLOSED)

p12.opentype=Doors.UNIF
p12.o_med_vel=-700
p12.o_med_displ=4990

p12.closetype=Doors.AC
p12.c_init_displ=5000
p12.c_med_vel=5000


### Asignacion de los sonidos

p12.SetWhileOpenSound(son_puerta1_abriendo)
p12.SetEndOpenSound(son_puerta1_cerrando)

p12.SetWhileCloseSound(son_puerta1_abriendo)
p12.SetEndCloseSound(son_puerta1_cerrando)

#Cerradura de la puerta q va a la sacristia

cerr_puerta12=Locks.PlaceLock("cerr_puerta12","Cerradurcob",(-11424.6227358,-3539.03964811,167999.963931),(0.499999910593,0.500092506409,0.499907523394,-0.500000059605),1.1)
cerr_puerta12.key="llave_puerta12"

#darfuncs.SetHint(cerr_puerta12.obj,"Cerradura de la Sacristia")

cerr_puerta12.OnUnLockFunc=AbrePuerta12
cerr_puerta12.OnUnLockArgs=()

cerr_puerta12.OnLockFunc=CierraPuerta12
cerr_puerta12.OnLockArgs=()


# Llave q esta en lo alto de la torre

llave_puerta12=Bladex.CreateEntity("llave_puerta12","Llavecob",36861.5331907,-16026.8676793,141332.024802, Reference.ObjType("Llavecob"))
llave_puerta12.Scale=1.0
llave_puerta12.Orientation=(0.999862253666,-0.00956552196294,-0.00583190284669,-0.0122474487871)
Stars.Twinkle("llave_puerta12")

#darfuncs.SetHint(llave_puerta12.obj,"Llave de la Sacristia")

print "puerta 12 puesta"

####
#####
######	Puerta a la sacristia (falsa)
#####
####

p13=Doors.CreateDoor("p13",(-16175,-3989,171155),(0,1,0),0,2500,Doors.CLOSED)

p13.opentype=Doors.UNIF
p13.o_med_vel=-700
p13.o_med_displ=2490

p13.closetype=Doors.AC
p13.c_init_displ=2500
p13.c_med_vel=8000

### Asignacion de los sonidos

p13.SetWhileOpenSound(son_puerta1_abriendo)
p13.SetEndOpenSound(son_puerta1_cerrando)

p13.SetWhileCloseSound(son_puerta1_abriendo)
p13.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 13 puesta"

####
#####
######	Puerta a la habitacion de la sacristia
#####
####

p14=Doors.CreateDoor("p14",(-1979.28788272,-4989.04314396,176264.438536),(0,1,0),0,3000,Doors.CLOSED)

p14.opentype=Doors.UNIF
p14.o_med_vel=-700
p14.o_med_displ=2990

p14.closetype=Doors.AC
p14.c_init_displ=3000
p14.c_med_vel=8000

### Asignacion de los sonidos

p14.SetWhileOpenSound(son_puerta1_abriendo)
p14.SetEndOpenSound(son_puerta1_cerrando)

p14.SetWhileCloseSound(son_puerta1_abriendo)
p14.SetEndCloseSound(son_puerta1_cerrando)

palan=Levers.PlaceLever("palan",Levers.LeverType1,(-3486.54187262,-4287.71398165,174545.562561),(0.707106769085,-0.707106769085,0.0,0.0),1)
palan.mode=1

palan.OnTurnOnFunc=AbrePuertaRagnar
palan.OnTurnOnArgs=()

print "puerta 14 puesta"


####
#####
######	Puerta falsa en la sacristia :D
#####
####

p15=Doors.CreateDoor("p15",(10431.9413224,-4989.36112357,173712.530897),(0,1,0),0,3000,Doors.CLOSED)

p15.opentype=Doors.UNIF
p15.o_med_vel=-700
p15.o_med_displ=2990

p15.closetype=Doors.AC
p15.c_init_displ=3000
p15.c_med_vel=8000

### Asignacion de los sonidos

p15.SetWhileOpenSound(son_puerta1_abriendo)
p15.SetEndOpenSound(son_puerta1_cerrando)

p15.SetWhileCloseSound(son_puerta1_abriendo)
p15.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 15 puesta"

####
#####
######	Muro movil :D:D (a que no sabias que estaba ah???)
#####
####

muro1=Doors.CreateDoor("muro1",(579.509367259,-4970.88047234,184353.174366),(-1,0,0),0,3000,Doors.CLOSED)

muro1.opentype=Doors.UNIF
muro1.o_med_vel=-700
muro1.o_med_displ=2990

muro1.closetype=Doors.AC
muro1.c_init_displ=3000
muro1.c_med_vel=8000

### Asignacion de los sonidos

muro1.SetWhileOpenSound(son_puerta1_abriendo)
muro1.SetEndOpenSound(son_puerta1_cerrando)

muro1.SetWhileCloseSound(son_puerta1_abriendo)
muro1.SetEndCloseSound(son_puerta1_cerrando)

palanmuro=Levers.PlaceLever("palanmuro",Levers.LeverType1,(12962.3821769,-4343.65832074,178823.452863),(0.500000059605,-0.499999970198,-0.499999940395,-0.500000059605),1)
palanmuro.mode=1

palanmuro.OnTurnOnFunc=AbreMuro
palanmuro.OnTurnOnArgs=()


print "muro 1 puesto, palanca incluida :D"


####
#####
######	1 puerta del desafio :D
#####
####

pdes1=Doors.CreateDoor("pdes1",(-45988.7268059,14308.947395,184754.916957),(0,-1,0),0,3000,Doors.CLOSED)

pdes1.opentype=Doors.UNIF
pdes1.o_med_vel=-700
pdes1.o_med_displ=2990

pdes1.closetype=Doors.AC
pdes1.c_init_displ=3000
pdes1.c_med_vel=8000

### Asignacion de los sonidos

pdes1.SetWhileOpenSound(son_puerta1_abriendo)
pdes1.SetEndOpenSound(son_puerta1_cerrando)

pdes1.SetWhileCloseSound(son_puerta1_abriendo)
pdes1.SetEndCloseSound(son_puerta1_cerrando)

palan2=Levers.PlaceLever("palan2",Levers.LeverType1,(-44132.2577277,14770.330495,182785.828142),(0.707106769085,-0.707106769085,0.0,0.0),1)
palan2.mode=1

palan2.OnTurnOnFunc=ArrankeDesafio1
palan2.OnTurnOnArgs=()

print "puerta 1 de desafio"


####
#####
######	Puerta al habitaculo antes de segundo Golem
#####
####

pdes2=Doors.CreateDoor("pdes2",(-48899.955746,13893.6972792,179216.842445),(0,-1,0),0,3000,Doors.CLOSED)

pdes2.opentype=Doors.UNIF
pdes2.o_med_vel=-700
pdes2.o_med_displ=2990

pdes2.closetype=Doors.AC
pdes2.c_init_displ=3000
pdes2.c_med_vel=8000

### Asignacion de los sonidos

pdes2.SetWhileOpenSound(son_puerta1_abriendo)
pdes2.SetEndOpenSound(son_puerta1_cerrando)

pdes2.SetWhileCloseSound(son_puerta1_abriendo)
pdes2.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 2 de desafio"


####
#####
######	Puerta antes de segundo Golem
#####
####

pdes3=Doors.CreateDoor("pdes3",(-49055.6100741,15093.3196984,175183.130755),(0,-1,0),0,3000,Doors.CLOSED)

pdes3.opentype=Doors.UNIF
pdes3.o_med_vel=-700
pdes3.o_med_displ=2990

pdes3.closetype=Doors.AC
pdes3.c_init_displ=3000
pdes3.c_med_vel=8000

### Asignacion de los sonidos

pdes3.SetWhileOpenSound(son_puerta1_abriendo)
pdes3.SetEndOpenSound(son_puerta1_cerrando)

pdes3.SetWhileCloseSound(son_puerta1_abriendo)
pdes3.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 3 de desafio"


####
#####
######	Puerta al habitaculo  antes de tercer Golem
#####
####

pdes4=Doors.CreateDoor("pdes4",(-45925.2198706,15010.844688,171908.463535),(0,-1,0),0,3000,Doors.CLOSED)

pdes4.opentype=Doors.UNIF
pdes4.o_med_vel=-700
pdes4.o_med_displ=2990

pdes4.closetype=Doors.AC
pdes4.c_init_displ=3000
pdes4.c_med_vel=8000

### Asignacion de los sonidos

pdes4.SetWhileOpenSound(son_puerta1_abriendo)
pdes4.SetEndOpenSound(son_puerta1_cerrando)

pdes4.SetWhileCloseSound(son_puerta1_abriendo)
pdes4.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 4 de desafio"


####
#####
######	Puerta antes de tercer Golem
#####
####

pdes5=Doors.CreateDoor("pdes5",(-42003.7825693,16112.3474054,172082.652823),(0,-1,0),0,3000,Doors.CLOSED)

pdes5.opentype=Doors.UNIF
pdes5.o_med_vel=-700
pdes5.o_med_displ=2990

pdes5.closetype=Doors.AC
pdes5.c_init_displ=3000
pdes5.c_med_vel=8000

### Asignacion de los sonidos

pdes5.SetWhileOpenSound(son_puerta1_abriendo)
pdes5.SetEndOpenSound(son_puerta1_cerrando)

pdes5.SetWhileCloseSound(son_puerta1_abriendo)
pdes5.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 5 de desafio"


####
#####
######	Puerta al habitaculo antes del final
#####
####

pdes6=Doors.CreateDoor("pdes6",(-33679.3654884,16111.8338391,175033.703306),(0,-1,0),0,3000,Doors.CLOSED)

pdes6.opentype=Doors.UNIF
pdes6.o_med_vel=-700
pdes6.o_med_displ=2990

pdes6.closetype=Doors.AC
pdes6.c_init_displ=3000
pdes6.c_med_vel=8000

### Asignacion de los sonidos

pdes6.SetWhileOpenSound(son_puerta1_abriendo)
pdes6.SetEndOpenSound(son_puerta1_cerrando)

pdes6.SetWhileCloseSound(son_puerta1_abriendo)
pdes6.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 6 de desafio"


####
#####
######	Puerta FINAL!!!! XDDDDDD
#####
####

pdes7=Doors.CreateDoor("pdes7",(-33650.2332365,17410.7219869,178945.270483),(0,-1,0),0,3000,Doors.CLOSED)

pdes7.opentype=Doors.UNIF
pdes7.o_med_vel=-700
pdes7.o_med_displ=2990

pdes7.closetype=Doors.AC
pdes7.c_init_displ=3000
pdes7.c_med_vel=8000

### Asignacion de los sonidos

pdes7.SetWhileOpenSound(son_puerta1_abriendo)
pdes7.SetEndOpenSound(son_puerta1_cerrando)

pdes7.SetWhileCloseSound(son_puerta1_abriendo)
pdes7.SetEndCloseSound(son_puerta1_cerrando)

print "puerta 7 de desafio"



# Sectores vinculados a eventos :D  ||||  Gracias a Lerfox :D

sectortrampa=Bladex.GetSector(74618.4533053, -4887.51509962, -43872.9490209)
sectortrampa.OnEnter=encerrona

sectorinicio=Bladex.GetSector(83964.8279009, 862.325265902, -76563.2191612)
sectorinicio.OnEnter=puertainicio

sacristia=Bladex.GetSector(401.823112769, -3889.77081692, 178431.211196)
sacristia.OnEnter=SacristiaFunc